%perl_module IP-Country 2.27 1

Summary: Lookup country from IP address or hostname
Group: Development/Libraries
License: Artistic
URL: http://search.cpan.org/dist/%{pkgname}/
Source: http://search.cpan.org/CPAN/authors/id/N/NW/NWETTERS/%{pkgname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: perl(ExtUtils::MakeMaker)

%description
Ip2cc is a program to lookup countries of IP addresses. Ip2cc has two
modes: interactive and non-interactive. Interactive mode allows the
user to query more than one hostname. Non-interactive mode is used to
print just the country for a single host.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README CHANGES
%{_bindir}/ip2cc
%{perl_vendorlib}/IP/Authority.pm
%{perl_vendorlib}/IP/Authority
%{perl_vendorlib}/IP/Country.pm
%{perl_vendorlib}/IP/Country
%{perl_man1dir}/ip2cc.1*
%{perl_man3dir}/IP::*.3pm*

%changelog
* Tue Dec 29 2009 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
